Kein Modell für das Sprachpaar
Bei diesem Problem antwortet die API mit 422 Unprocessable Content. Der Wert von type ist https://lingo.dev/docs/api/errors/model-chain-missing. Unter Fehler und Statuscodes findest du die gemeinsame Struktur aller Fehler.
Keine Modellkonfiguration passt zu <sourceLocale> → <targetLocale>. Füge eine Modellkonfiguration für dieses Sprachpaar oder eine Fallback-Konfiguration mit Platzhalter hinzu.
Felder#
Neben den Standardfeldern type, status, title und detail enthält der Antwortkörper die folgenden Felder. Aus diesen wird der Text für detail erstellt, sodass ein Client stattdessen einen eigenen Text anzeigen kann.
| Feld | Typ |
|---|---|
engineId | string |
sourceLocale | string |
targetLocale | string |
Beispiel#
json
{
"detail": "No model configuration matches <sourceLocale> → <targetLocale>. Add a model configuration for this locale pair or a wildcard fallback.",
"engineId": "<engineId>",
"sourceLocale": "<sourceLocale>",
"targetLocale": "<targetLocale>",
"type": "https://lingo.dev/docs/api/errors/model-chain-missing",
"status": 422,
"title": "No model for the locale pair"
}Zurückgegeben von#
POST /v2/localization/jobs/{id}/startPOST /v2/organizations/{orgId}/localization/estimates